<template>
  <div v-if="airlines" class="airlines">
    <h3 class="airlines-title">{{ $t('lang.filter.airlines.title') }}</h3>
    <div class="airlines-items">
      <item
        :text="$t('lang.filter.airlines.all')"
        :isSelected="selectedAirlines.length === Object.keys(airlines).length"
        @select="setAllAirlines"
      />
      <item
        v-for="(airline, code) of airlines"
        :key="code"
        :text="airline"
        :isSelected="selectedAirlines.includes(code)"
        @select="(data) => setAirline(data, code)"
      />
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";
import Item from "./Item";
export default {
  components: { Item },
  computed: {
    ...mapGetters(["airlines", "selectedAirlines"])
  },
  methods: {
    ...mapActions([
      "addAirlineAction",
      "addAllAirlinesAction",
      "removeAirlineAction",
      "removeAllAirlinesAction"
    ]),
    setAirline(bool, code) {
      bool ? this.addAirlineAction(code) : this.removeAirlineAction(code);
    },
    setAllAirlines(bool) {
      bool
        ? this.addAllAirlinesAction(Object.keys(this.airlines))
        : this.removeAllAirlinesAction();
    }
  }
};
</script>

<style lang="scss" soped>
.airlines {
  position: relative;
  height: 320px;
  width: 240px;
  background: #f5f5f5;
  border-radius: 4px;
  padding: 12px 0;
  &-items {
    height: 240px;
    overflow-y: scroll;
  }
  &-title {
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
    padding: 0 12px 12px 12px;
    margin-bottom: 0;
  }
}
</style>
